/* Vytvari vystupni soubory
 * Autor: Beata Turonova
 */
#ifndef _OUTPUTS_H
#define _OUTPUTS_H

extern double mult11, mult12;      //uprava souradnic na prvni fotografii
extern double mult21, mult22;      //uprava souradnic na druhe fotografii
extern int w1,h1,w2,h2;            //sirky a vysky prvni a druhe fotografie

extern char *img1_file_name;       //nazev prvni fotografie
extern char *img2_file_name;       //nazev druhe fotografie
extern char *output_path;          //umisteni vysledneho modelu
extern const char *output_name;    //nazev vysledneho modelu

extern GtkWidget *errorwin;
extern GtkWidget *errorf;
extern GtkWidget *errorm1;
extern GtkWidget *errorm2;
extern GtkWidget *errorm3;
extern GtkWidget *errorm4;
extern GtkWidget *errorm5;
extern GtkWidget *errorm6;
extern GtkWidget *errorm7;


/**
*Schova chybove hlasky
*/
void hide_messages();

/**
* Vypisuje chybova hlaseni na vystup
* i do log.txt
*
* @param ern cislo chyby
*/
void my_error(int ern);

/**
* Vypise, ktery soubor se nepodarilo
* otevrit
*
* @param f nazev souboru
*/
void my_error5(char *f) ;

/**
* Vytvori vystupni soubor s bodovym 3D modelem
*
* @param p3d matice s 3D souradnicema
* @param n pocet bodu
* @param typ vystupniho souboru: 0-wrl;1-x3d
*/
void write_points(double **p3d,int n,int type);

/**
* Vytvori vystupni soubor log.txt
*
* @param ev druh hlaseni, ktere se ma vypsat
*/
void write_log(int ev);

/**
* Vytvori vystupni soubor s vyslednym modelem
*
* @param ftype typ souboru: 0-wrl;1-x3d
* @param n pocet bodu
* @return   0 - vse probehlo v poradku
*           1 - doslo k chybe
*/
int map_texture(int ftype, int n);

#endif
